- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QTextureLoader
- Qt 6.8.2 Reference Documentation

# QTextureLoader Class

class Qt3DRender::QTextureLoader

Handles the texture loading and setting the texture's properties. More...

Header: | `#include <Qt3DRender/QTexture>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | TextureLoader
Inherits: | Qt3DRender::QAbstractTexture
Status: | Deprecated

- List of all members, including inherited members

## Properties

- mirrored : bool
- source : QUrl

## Public Functions

| QTextureLoader(Qt3DCore::QNode *parent = nullptr)
bool | isMirrored() const
QUrl | source() const

## Public Slots

void | setMirrored(bool mirrored)
void | setSource(const QUrl &source)

## Signals

void | mirroredChanged(bool mirrored)
void | sourceChanged(const QUrl &source)

## Detailed Description

## Property Documentation

### mirrored : bool

This property specifies whether the texture should be mirrored when loaded. This is a convenience to avoid having to manipulate images to match the origin of the texture coordinates used by the rendering API. By default this property is set to true. This has no effect when using GPU compressed texture formats.

Warning: This property results in a performance price payed at runtime when loading uncompressed or CPU compressed image formats such as PNG. To avoid this performance price it is better to set this property to false and load texture assets that have been pre-mirrored.

Note: OpenGL specifies the origin of texture coordinates from the lower left hand corner whereas DirectX uses the the upper left hand corner.

Note: When using cube map texture you'll probably want mirroring disabled as the cube map sampler takes a direction rather than regular texture coordinates.

Access functions:

bool | isMirrored() const
void | setMirrored(bool mirrored)

Notifier signal:

void | mirroredChanged(bool mirrored)

### source : QUrl

This property holds the current texture source.

Access functions:

QUrl | source() const
void | setSource(const QUrl &source)

Notifier signal:

void | sourceChanged(const QUrl &source)

## Member Function Documentation

### `[explicit]` QTextureLoader::QTextureLoader(Qt3DCore::QNode *parent = nullptr)

Constructs a new Qt3DRender::QTextureLoader instance with parent as parent.

Note that by default, if not contradicted by the file metadata, the loaded texture will have the following properties set: - wrapMode set to Repeat - minificationFilter set to LinearMipMapLinear - magnificationFilter set to Linear - generateMipMaps set to true - maximumAnisotropy set to 16.0f - target set to TargetAutomatic

### `[slot]` void QTextureLoader::setMirrored(bool mirrored)

Sets mirroring to mirrored.

Note: This internally triggers a call to update the data generator.

Note: Setter function for property mirrored.

See also isMirrored().

### `[slot]` void QTextureLoader::setSource(const QUrl &source)

Sets the texture loader source to source. source

Note: Setter function for property source.

See also source().